#include<bits/stdc++.h>
using namespace std;
int ntcn(int a,int b)
{
	while(a!=b)
	{
		if(a>b)
		{
		a=a-b;	
		}
		if(a<b)
		{
			b=b-a;
		}
	}
	if(a==1)
	return 1;
	else
	return 0;
}
int main()
{
	ifstream f1("dayso.inp");
	ofstream f2("NTCN.out");
	int a,i,j;
	cin>>a;
	int z[5];
	for(i=1;i<=a;i++)
	f1>>z[i];
	for(i=1;i<a;i++)
	{
		for(j=i+1;j<=a;j++)
		if(ntcn(z[i],z[j])==1)
		f2<<z[i]<<" "<<z[j]<<endl;
	}
	f1.close();
	f2.close();
	
}

